import { DataState,FieldInfo } from 'model-util-base'
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-07 14:30
 */
export interface DevopsSwitchPartitionStc{
    /**
    * 主键
    * @type { number }
    */
    id?: number;
    /**
    * 分区名称
    * @type { string }
    */
    partitionName?: string;
    /**
    * 分区编码
    * @type { string }
    */
    partitionCode?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 分区状态：0-正常，1-异常
    * @type { any }
    */
    partitionStatus?: any;
    /**
    * 恢复紧急模式url地址
    * @type { string }
    */
    restoreEmergencyModeUrl?: string;
}
export class DevopsSwitchPartitionStcMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','主键');
    }
    static get PARTITION_NAME(): FieldInfo{  
        return new FieldInfo('partitionName','分区名称');
    }
    static get PARTITION_CODE(): FieldInfo{  
        return new FieldInfo('partitionCode','分区编码');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','创建时间');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','更新时间');
    }
    static get PARTITION_STATUS(): FieldInfo{  
        return new FieldInfo('partitionStatus','分区状态：0-正常，1-异常');
    }
    static get RESTORE_EMERGENCY_MODE_URL(): FieldInfo{  
        return new FieldInfo('restoreEmergencyModeUrl','恢复紧急模式url地址');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-07 14:30
 */
export interface DevopsMsApp{
    /**
    * 
    * @type { string }
    */
    id?: string;
    /**
    * 新版APP名称
    * @type { string }
    */
    appName?: string;
    /**
    * 中台1.0对应项目名称
    * @type { string }
    */
    msProjectName?: string;
    /**
    * 
    * @type { string }
    */
    msProjectId?: string;
    /**
    * 
    * @type { string }
    */
    msProjectVersion?: string;
}
export class DevopsMsAppMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','');
    }
    static get APP_NAME(): FieldInfo{  
        return new FieldInfo('appName','新版APP名称');
    }
    static get MS_PROJECT_NAME(): FieldInfo{  
        return new FieldInfo('msProjectName','中台1.0对应项目名称');
    }
    static get MS_PROJECT_ID(): FieldInfo{  
        return new FieldInfo('msProjectId','');
    }
    static get MS_PROJECT_VERSION(): FieldInfo{  
        return new FieldInfo('msProjectVersion','');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-07 14:30
 */
export interface SysParams{
    /**
    * 
    * @type { number }
    */
    id?: number;
    /**
    * 
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 
    * @type { number }
    */
    state?: number;
    /**
    * 
    * @type { string }
    */
    paramName?: string;
    /**
    * 
    * @type { string }
    */
    paramValue?: string;
}
export class SysParamsMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','');
    }
    static get STATE(): FieldInfo{  
        return new FieldInfo('state','');
    }
    static get PARAM_NAME(): FieldInfo{  
        return new FieldInfo('paramName','');
    }
    static get PARAM_VALUE(): FieldInfo{  
        return new FieldInfo('paramValue','');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-07 14:30
 */
export interface DevopsSwitchPartitionCharge{
    /**
    * 主键
    * @type { number }
    */
    id?: number;
    /**
    * 网站名称
    * @type { string }
    */
    websiteName?: string;
    /**
    * 网站编码
    * @type { string }
    */
    websiteCode?: string;
    /**
    * 端口
    * @type { number }
    */
    port?: number;
    /**
    * 当前分区：0-蓝区，1-绿区
    * @type { any }
    */
    currentPartition?: any;
    /**
    * 描述
    * @type { string }
    */
    remark?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
}
export class DevopsSwitchPartitionChargeMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','主键');
    }
    static get WEBSITE_NAME(): FieldInfo{  
        return new FieldInfo('websiteName','网站名称');
    }
    static get WEBSITE_CODE(): FieldInfo{  
        return new FieldInfo('websiteCode','网站编码');
    }
    static get PORT(): FieldInfo{  
        return new FieldInfo('port','端口');
    }
    static get CURRENT_PARTITION(): FieldInfo{  
        return new FieldInfo('currentPartition','当前分区：0-蓝区，1-绿区');
    }
    static get REMARK(): FieldInfo{  
        return new FieldInfo('remark','描述');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','创建时间');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','更新时间');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-07 14:30
 */
export interface DevopsTaskLogMsg{
    /**
    * 主键
    * @type { number }
    */
    id?: number;
    /**
    * 任务id
    * @type { string }
    */
    taskId?: string;
    /**
    * 应用id
    * @type { string }
    */
    appId?: string;
    /**
    * 步骤id
    * @type { string }
    */
    stepId?: string;
    /**
    * 
    * @type { string }
    */
    content?: string;
    /**
    * 
    * @type { string }
    */
    runTag?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
}
export class DevopsTaskLogMsgMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','主键');
    }
    static get TASK_ID(): FieldInfo{  
        return new FieldInfo('taskId','任务id');
    }
    static get APP_ID(): FieldInfo{  
        return new FieldInfo('appId','应用id');
    }
    static get STEP_ID(): FieldInfo{  
        return new FieldInfo('stepId','步骤id');
    }
    static get CONTENT(): FieldInfo{  
        return new FieldInfo('content','');
    }
    static get RUN_TAG(): FieldInfo{  
        return new FieldInfo('runTag','');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','创建时间');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','更新时间');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-07 14:30
 */
export interface DevopsHost{
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 所属平台（1-阿里云；2-华为云；）
    * @type { number }
    */
    cloudPlatform?: number;
    /**
    * 区域
    * @type { string }
    */
    regionId?: string;
    /**
    * 主机实例id
    * @type { string }
    */
    instanceId?: string;
    /**
    * 主机ip(内网地址)
    * @type { string }
    */
    ip?: string;
    /**
    * 主机类型（0-nginx主机；1-应用主机；2-综合）
    * @type { number }
    */
    hostType?: number;
    /**
    * 主机名称
    * @type { string }
    */
    instanceName?: string;
    /**
    * 操作系统
    * @type { string }
    */
    operatinSystem?: string;
    /**
    * 所属项目组
    * @type { string }
    */
    businessGroup?: string;
    /**
    * 实例规格
    * @type { string }
    */
    instanceSpecifications?: string;
    /**
    * cpu
    * @type { number }
    */
    cpu?: number;
    /**
    * 内存
    * @type { number }
    */
    memory?: number;
    /**
    * 硬盘数量
    * @type { number }
    */
    diskNumber?: number;
    /**
    * 运行状态
    * @type { string }
    */
    runningState?: string;
    /**
    * 购买时间
    * @type { Date }
    */
    buyTime?: Date;
    /**
    * 到期时间
    * @type { Date }
    */
    expireTime?: Date;
    /**
    * 描述
    * @type { string }
    */
    remark?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 自定义的分区
    * @type { string }
    */
    businessArea?: string;
    /**
    * 计费方式（1-包年包月；2-按量付费；）
    * @type { number }
    */
    billingWay?: number;
    /**
    * 云平台账户id
    * @type { string }
    */
    cloudAccountId?: string;
}
export class DevopsHostMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','主键');
    }
    static get CLOUD_PLATFORM(): FieldInfo{  
        return new FieldInfo('cloudPlatform','所属平台（1-阿里云；2-华为云；）');
    }
    static get REGION_ID(): FieldInfo{  
        return new FieldInfo('regionId','区域');
    }
    static get INSTANCE_ID(): FieldInfo{  
        return new FieldInfo('instanceId','主机实例id');
    }
    static get IP(): FieldInfo{  
        return new FieldInfo('ip','主机ip(内网地址)');
    }
    static get HOST_TYPE(): FieldInfo{  
        return new FieldInfo('hostType','主机类型（0-nginx主机；1-应用主机；2-综合）');
    }
    static get INSTANCE_NAME(): FieldInfo{  
        return new FieldInfo('instanceName','主机名称');
    }
    static get OPERATIN_SYSTEM(): FieldInfo{  
        return new FieldInfo('operatinSystem','操作系统');
    }
    static get BUSINESS_GROUP(): FieldInfo{  
        return new FieldInfo('businessGroup','所属项目组');
    }
    static get INSTANCE_SPECIFICATIONS(): FieldInfo{  
        return new FieldInfo('instanceSpecifications','实例规格');
    }
    static get CPU(): FieldInfo{  
        return new FieldInfo('cpu','cpu');
    }
    static get MEMORY(): FieldInfo{  
        return new FieldInfo('memory','内存');
    }
    static get DISK_NUMBER(): FieldInfo{  
        return new FieldInfo('diskNumber','硬盘数量');
    }
    static get RUNNING_STATE(): FieldInfo{  
        return new FieldInfo('runningState','运行状态');
    }
    static get BUY_TIME(): FieldInfo{  
        return new FieldInfo('buyTime','购买时间');
    }
    static get EXPIRE_TIME(): FieldInfo{  
        return new FieldInfo('expireTime','到期时间');
    }
    static get REMARK(): FieldInfo{  
        return new FieldInfo('remark','描述');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','创建时间');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','更新时间');
    }
    static get BUSINESS_AREA(): FieldInfo{  
        return new FieldInfo('businessArea','自定义的分区');
    }
    static get BILLING_WAY(): FieldInfo{  
        return new FieldInfo('billingWay','计费方式（1-包年包月；2-按量付费；）');
    }
    static get CLOUD_ACCOUNT_ID(): FieldInfo{  
        return new FieldInfo('cloudAccountId','云平台账户id');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-07 14:30
 */
export interface DevopsRds{
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 所属平台（1-阿里云；2-华为云；）
    * @type { number }
    */
    cloudPlatform?: number;
    /**
    * 
    * @type { string }
    */
    cloudAccountId?: string;
    /**
    * 区域
    * @type { string }
    */
    regionId?: string;
    /**
    * 主机实例id
    * @type { string }
    */
    instanceId?: string;
    /**
    * 主机ip(内网地址)
    * @type { string }
    */
    ip?: string;
    /**
    * 实例类型，如只读实例、常规实例
    * @type { string }
    */
    rdsType?: string;
    /**
    * 端口
    * @type { string }
    */
    port?: string;
    /**
    * 实例名称
    * @type { string }
    */
    instanceName?: string;
    /**
    * 所属项目组
    * @type { string }
    */
    businessGroup?: string;
    /**
    * 实例规格
    * @type { string }
    */
    instanceSpecifications?: string;
    /**
    * cpu
    * @type { number }
    */
    cpu?: number;
    /**
    * 内存
    * @type { number }
    */
    memory?: number;
    /**
    * 硬盘容量
    * @type { number }
    */
    diskCapacity?: number;
    /**
    * 数据库版本
    * @type { string }
    */
    version?: string;
    /**
    * 运行状态
    * @type { string }
    */
    runningState?: string;
    /**
    * 计费方式
    * @type { number }
    */
    billingWay?: number;
    /**
    * 购买时间
    * @type { Date }
    */
    buyTime?: Date;
    /**
    * 到期时间
    * @type { Date }
    */
    expireTime?: Date;
    /**
    * 描述
    * @type { string }
    */
    remark?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 数据库引擎
    * @type { string }
    */
    engine?: string;
}
export class DevopsRdsMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','主键');
    }
    static get CLOUD_PLATFORM(): FieldInfo{  
        return new FieldInfo('cloudPlatform','所属平台（1-阿里云；2-华为云；）');
    }
    static get CLOUD_ACCOUNT_ID(): FieldInfo{  
        return new FieldInfo('cloudAccountId','');
    }
    static get REGION_ID(): FieldInfo{  
        return new FieldInfo('regionId','区域');
    }
    static get INSTANCE_ID(): FieldInfo{  
        return new FieldInfo('instanceId','主机实例id');
    }
    static get IP(): FieldInfo{  
        return new FieldInfo('ip','主机ip(内网地址)');
    }
    static get RDS_TYPE(): FieldInfo{  
        return new FieldInfo('rdsType','实例类型，如只读实例、常规实例');
    }
    static get PORT(): FieldInfo{  
        return new FieldInfo('port','端口');
    }
    static get INSTANCE_NAME(): FieldInfo{  
        return new FieldInfo('instanceName','实例名称');
    }
    static get BUSINESS_GROUP(): FieldInfo{  
        return new FieldInfo('businessGroup','所属项目组');
    }
    static get INSTANCE_SPECIFICATIONS(): FieldInfo{  
        return new FieldInfo('instanceSpecifications','实例规格');
    }
    static get CPU(): FieldInfo{  
        return new FieldInfo('cpu','cpu');
    }
    static get MEMORY(): FieldInfo{  
        return new FieldInfo('memory','内存');
    }
    static get DISK_CAPACITY(): FieldInfo{  
        return new FieldInfo('diskCapacity','硬盘容量');
    }
    static get VERSION(): FieldInfo{  
        return new FieldInfo('version','数据库版本');
    }
    static get RUNNING_STATE(): FieldInfo{  
        return new FieldInfo('runningState','运行状态');
    }
    static get BILLING_WAY(): FieldInfo{  
        return new FieldInfo('billingWay','计费方式');
    }
    static get BUY_TIME(): FieldInfo{  
        return new FieldInfo('buyTime','购买时间');
    }
    static get EXPIRE_TIME(): FieldInfo{  
        return new FieldInfo('expireTime','到期时间');
    }
    static get REMARK(): FieldInfo{  
        return new FieldInfo('remark','描述');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','创建时间');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','更新时间');
    }
    static get ENGINE(): FieldInfo{  
        return new FieldInfo('engine','数据库引擎');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-07 14:30
 */
export interface CloudAccount{
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 
    * @type { string }
    */
    accessKey?: string;
    /**
    * 
    * @type { string }
    */
    secret?: string;
    /**
    * 
    * @type { string }
    */
    projectId?: string;
    /**
    * 所属平台（1-阿里云；2-华为云；）
    * @type { number }
    */
    cloudPlatform?: number;
}
export class CloudAccountMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','主键');
    }
    static get ACCESS_KEY(): FieldInfo{  
        return new FieldInfo('accessKey','');
    }
    static get SECRET(): FieldInfo{  
        return new FieldInfo('secret','');
    }
    static get PROJECT_ID(): FieldInfo{  
        return new FieldInfo('projectId','');
    }
    static get CLOUD_PLATFORM(): FieldInfo{  
        return new FieldInfo('cloudPlatform','所属平台（1-阿里云；2-华为云；）');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-07 14:30
 */
export interface DevopsRedis{
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 所属平台（1-阿里云；2-华为云；）
    * @type { number }
    */
    cloudPlatform?: number;
    /**
    * 
    * @type { string }
    */
    cloudAccountId?: string;
    /**
    * 区域
    * @type { string }
    */
    regionId?: string;
    /**
    * 主机实例id
    * @type { string }
    */
    instanceId?: string;
    /**
    * 主机ip(内网地址)
    * @type { string }
    */
    ip?: string;
    /**
    * 实例类型,如标准版、集群版
    * @type { string }
    */
    redisType?: string;
    /**
    * 端口
    * @type { string }
    */
    port?: string;
    /**
    * 实例名称
    * @type { string }
    */
    instanceName?: string;
    /**
    * 所属项目组
    * @type { string }
    */
    businessGroup?: string;
    /**
    * 实例规格
    * @type { string }
    */
    instanceSpecifications?: string;
    /**
    * cpu
    * @type { number }
    */
    cpu?: number;
    /**
    * 内存
    * @type { number }
    */
    memory?: number;
    /**
    * redis版本
    * @type { string }
    */
    version?: string;
    /**
    * 运行状态
    * @type { string }
    */
    runningState?: string;
    /**
    * 计费方式
    * @type { number }
    */
    billingWay?: number;
    /**
    * 购买时间
    * @type { Date }
    */
    buyTime?: Date;
    /**
    * 到期时间
    * @type { Date }
    */
    expireTime?: Date;
    /**
    * 描述
    * @type { string }
    */
    remark?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
}
export class DevopsRedisMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','主键');
    }
    static get CLOUD_PLATFORM(): FieldInfo{  
        return new FieldInfo('cloudPlatform','所属平台（1-阿里云；2-华为云；）');
    }
    static get CLOUD_ACCOUNT_ID(): FieldInfo{  
        return new FieldInfo('cloudAccountId','');
    }
    static get REGION_ID(): FieldInfo{  
        return new FieldInfo('regionId','区域');
    }
    static get INSTANCE_ID(): FieldInfo{  
        return new FieldInfo('instanceId','主机实例id');
    }
    static get IP(): FieldInfo{  
        return new FieldInfo('ip','主机ip(内网地址)');
    }
    static get REDIS_TYPE(): FieldInfo{  
        return new FieldInfo('redisType','实例类型,如标准版、集群版');
    }
    static get PORT(): FieldInfo{  
        return new FieldInfo('port','端口');
    }
    static get INSTANCE_NAME(): FieldInfo{  
        return new FieldInfo('instanceName','实例名称');
    }
    static get BUSINESS_GROUP(): FieldInfo{  
        return new FieldInfo('businessGroup','所属项目组');
    }
    static get INSTANCE_SPECIFICATIONS(): FieldInfo{  
        return new FieldInfo('instanceSpecifications','实例规格');
    }
    static get CPU(): FieldInfo{  
        return new FieldInfo('cpu','cpu');
    }
    static get MEMORY(): FieldInfo{  
        return new FieldInfo('memory','内存');
    }
    static get VERSION(): FieldInfo{  
        return new FieldInfo('version','redis版本');
    }
    static get RUNNING_STATE(): FieldInfo{  
        return new FieldInfo('runningState','运行状态');
    }
    static get BILLING_WAY(): FieldInfo{  
        return new FieldInfo('billingWay','计费方式');
    }
    static get BUY_TIME(): FieldInfo{  
        return new FieldInfo('buyTime','购买时间');
    }
    static get EXPIRE_TIME(): FieldInfo{  
        return new FieldInfo('expireTime','到期时间');
    }
    static get REMARK(): FieldInfo{  
        return new FieldInfo('remark','描述');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','创建时间');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','更新时间');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-07 14:30
 */
export interface DevopsApp{
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 应用名称
    * @type { string }
    */
    appName?: string;
    /**
    * 应用代码
    * @type { string }
    */
    appCode?: string;
    /**
    * 应用类型：0-deamon应用；1-web应用
    * @type { number }
    */
    appType?: number;
    /**
    * 分区
    * @type { string }
    */
    businessArea?: string;
    /**
    * 所属项目组
    * @type { string }
    */
    businessGroup?: string;
    /**
    * 上下文
    * @type { string }
    */
    context?: string;
    /**
    * 应用端口
    * @type { string }
    */
    appPort?: string;
    /**
    * 监控端口
    * @type { string }
    */
    monitorPort?: string;
    /**
    * 当前版本
    * @type { string }
    */
    currentVersion?: string;
    /**
    * 健康检查url
    * @type { string }
    */
    healthUrl?: string;
    /**
    * web服务器类型：0-Tomcat；1-Node
    * @type { number }
    */
    webServer?: number;
    /**
    * 开发语言：0-JAVA；1-NodeJS
    * @type { string }
    */
    devLanguage?: string;
    /**
    * 环境编码
    * @type { string }
    */
    envCode?: string;
    /**
    * 运行状态
    * @type { string }
    */
    runningState?: string;
    /**
    * 描述
    * @type { string }
    */
    remark?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 主机IP，多个时逗号隔开
    * @type { string }
    */
    hostIp?: string;
    /**
    * extend field in DevopsHost
    * 所属平台（1-阿里云；2-华为云；）
    * @type { number }
    */
    cloudPlatform?: number;
    /**
    * extend field in DevopsHost
    * 主机实例id
    * @type { string }
    */
    instanceId?: string;
    /**
    * extend field in DevopsHost
    * 主机名称
    * @type { string }
    */
    instanceName?: string;

    /**
    * 数据状态 
    * @type { DataState }
    */
    _state?: DataState;
}
export class DevopsAppMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','主键');
    }
    static get APP_NAME(): FieldInfo{  
        return new FieldInfo('appName','应用名称');
    }
    static get APP_CODE(): FieldInfo{  
        return new FieldInfo('appCode','应用代码');
    }
    static get APP_TYPE(): FieldInfo{  
        return new FieldInfo('appType','应用类型：0-deamon应用；1-web应用');
    }
    static get BUSINESS_AREA(): FieldInfo{  
        return new FieldInfo('businessArea','分区');
    }
    static get BUSINESS_GROUP(): FieldInfo{  
        return new FieldInfo('businessGroup','所属项目组');
    }
    static get CONTEXT(): FieldInfo{  
        return new FieldInfo('context','上下文');
    }
    static get APP_PORT(): FieldInfo{  
        return new FieldInfo('appPort','应用端口');
    }
    static get MONITOR_PORT(): FieldInfo{  
        return new FieldInfo('monitorPort','监控端口');
    }
    static get CURRENT_VERSION(): FieldInfo{  
        return new FieldInfo('currentVersion','当前版本');
    }
    static get HEALTH_URL(): FieldInfo{  
        return new FieldInfo('healthUrl','健康检查url');
    }
    static get WEB_SERVER(): FieldInfo{  
        return new FieldInfo('webServer','web服务器类型：0-Tomcat；1-Node');
    }
    static get DEV_LANGUAGE(): FieldInfo{  
        return new FieldInfo('devLanguage','开发语言：0-JAVA；1-NodeJS');
    }
    static get ENV_CODE(): FieldInfo{  
        return new FieldInfo('envCode','环境编码');
    }
    static get RUNNING_STATE(): FieldInfo{  
        return new FieldInfo('runningState','运行状态');
    }
    static get REMARK(): FieldInfo{  
        return new FieldInfo('remark','描述');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','创建时间');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','更新时间');
    }
    static get HOST_IP(): FieldInfo{  
        return new FieldInfo('hostIp','主机IP，多个时逗号隔开');
    }
    static get CLOUD_PLATFORM(): FieldInfo{  
        return new FieldInfo('cloudPlatform','所属平台（1-阿里云；2-华为云；）');
    }
    static get INSTANCE_ID(): FieldInfo{  
        return new FieldInfo('instanceId','主机实例id');
    }
    static get INSTANCE_NAME(): FieldInfo{  
        return new FieldInfo('instanceName','主机名称');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-07 14:30
 */
export interface DevopsNginxConf{
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 模板名称
    * @type { string }
    */
    name?: string;
    /**
    * 初始模板文件
    * @type { string }
    */
    initConfFile?: string;
    /**
    * 目标配置文件
    * @type { string }
    */
    prodConfFile?: string;
    /**
    * 备注
    * @type { string }
    */
    remark?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
}
export class DevopsNginxConfMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','主键');
    }
    static get NAME(): FieldInfo{  
        return new FieldInfo('name','模板名称');
    }
    static get INIT_CONF_FILE(): FieldInfo{  
        return new FieldInfo('initConfFile','初始模板文件');
    }
    static get PROD_CONF_FILE(): FieldInfo{  
        return new FieldInfo('prodConfFile','目标配置文件');
    }
    static get REMARK(): FieldInfo{  
        return new FieldInfo('remark','备注');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','创建时间');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','更新时间');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-07 14:30
 */
export interface DevopsTaskApp{
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 任务id
    * @type { string }
    */
    taskId?: string;
    /**
    * 应用id
    * @type { string }
    */
    appId?: string;
    /**
    * 升级顺序
    * @type { number }
    */
    sortIndex?: number;
    /**
    * 当前版本
    * @type { string }
    */
    oldVersion?: string;
    /**
    * 升级版本
    * @type { string }
    */
    newVersion?: string;
    /**
    * 升级状态（0-升级；1-回滚）
    * @type { number }
    */
    runState?: number;
    /**
    * 
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 
    * @type { boolean }
    */
    enabled?: boolean;
    /**
    * extend field in DevopsApp
    * 应用名称
    * @type { string }
    */
    appName?: string;
    /**
    * extend field in DevopsApp
    * 应用类型：0-deamon应用；1-web应用
    * @type { number }
    */
    appType?: number;
    /**
    * extend field in DevopsApp
    * 当前版本
    * @type { string }
    */
    currentVersion?: string;
    /**
    * extend field in DevopsApp
    * 健康检查url
    * @type { string }
    */
    healthUrl?: string;
    /**
    * extend field in DevopsApp
    * 主机IP，多个时逗号隔开
    * @type { string }
    */
    hostIp?: string;
    /**
    * extend field in DevopsApp
    * 主机名称
    * @type { string }
    */
    instanceName?: string;
    /**
    * extend field in DevopsApp
    * 主机实例id
    * @type { string }
    */
    instanceId?: string;
    /**
    * extend field in DevopsApp
    * 上下文
    * @type { string }
    */
    context?: string;
    /**
    * extend field in DevopsApp
    * 应用端口
    * @type { string }
    */
    appPort?: string;

    /**
    * 数据状态 
    * @type { DataState }
    */
    _state?: DataState;
}
export class DevopsTaskAppMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','主键');
    }
    static get TASK_ID(): FieldInfo{  
        return new FieldInfo('taskId','任务id');
    }
    static get APP_ID(): FieldInfo{  
        return new FieldInfo('appId','应用id');
    }
    static get SORT_INDEX(): FieldInfo{  
        return new FieldInfo('sortIndex','升级顺序');
    }
    static get OLD_VERSION(): FieldInfo{  
        return new FieldInfo('oldVersion','当前版本');
    }
    static get NEW_VERSION(): FieldInfo{  
        return new FieldInfo('newVersion','升级版本');
    }
    static get RUN_STATE(): FieldInfo{  
        return new FieldInfo('runState','升级状态（0-升级；1-回滚）');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','');
    }
    static get ENABLED(): FieldInfo{  
        return new FieldInfo('enabled','');
    }
    static get APP_NAME(): FieldInfo{  
        return new FieldInfo('appName','应用名称');
    }
    static get APP_TYPE(): FieldInfo{  
        return new FieldInfo('appType','应用类型：0-deamon应用；1-web应用');
    }
    static get CURRENT_VERSION(): FieldInfo{  
        return new FieldInfo('currentVersion','当前版本');
    }
    static get HEALTH_URL(): FieldInfo{  
        return new FieldInfo('healthUrl','健康检查url');
    }
    static get HOST_IP(): FieldInfo{  
        return new FieldInfo('hostIp','主机IP，多个时逗号隔开');
    }
    static get INSTANCE_NAME(): FieldInfo{  
        return new FieldInfo('instanceName','主机名称');
    }
    static get INSTANCE_ID(): FieldInfo{  
        return new FieldInfo('instanceId','主机实例id');
    }
    static get CONTEXT(): FieldInfo{  
        return new FieldInfo('context','上下文');
    }
    static get APP_PORT(): FieldInfo{  
        return new FieldInfo('appPort','应用端口');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-07 14:30
 */
export interface DevopsTemplateNginx{
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 模板id
    * @type { string }
    */
    templateId?: string;
    /**
    * 是否切换流量
    * @type { number }
    */
    enabled?: number;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 主机实例id
    * @type { string }
    */
    instanceId?: string;
    /**
    * extend field in DevopsHost
    * 主机ip(内网地址)
    * @type { string }
    */
    ip?: string;
    /**
    * extend field in DevopsHost
    * 主机名称
    * @type { string }
    */
    instanceName?: string;
    /**
    * extend field in DevopsHost
    * 自定义的分区
    * @type { string }
    */
    businessArea?: string;

    /**
    * 数据状态 
    * @type { DataState }
    */
    _state?: DataState;
}
export class DevopsTemplateNginxMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','主键');
    }
    static get TEMPLATE_ID(): FieldInfo{  
        return new FieldInfo('templateId','模板id');
    }
    static get ENABLED(): FieldInfo{  
        return new FieldInfo('enabled','是否切换流量');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','创建时间');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','更新时间');
    }
    static get INSTANCE_ID(): FieldInfo{  
        return new FieldInfo('instanceId','主机实例id');
    }
    static get IP(): FieldInfo{  
        return new FieldInfo('ip','主机ip(内网地址)');
    }
    static get INSTANCE_NAME(): FieldInfo{  
        return new FieldInfo('instanceName','主机名称');
    }
    static get BUSINESS_AREA(): FieldInfo{  
        return new FieldInfo('businessArea','自定义的分区');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-07 14:30
 */
export interface QuickExpendServer{
    /**
    * 
    * @type { string }
    */
    areaName?: string;
    /**
    * 
    * @type { string }
    */
    ecsTemplate?: string;
    /**
    * 
    * @type { string }
    */
    appType?: string;
}
export class QuickExpendServerMI{ 
    static get AREA_NAME(): FieldInfo{  
        return new FieldInfo('areaName','');
    }
    static get ECS_TEMPLATE(): FieldInfo{  
        return new FieldInfo('ecsTemplate','');
    }
    static get APP_TYPE(): FieldInfo{  
        return new FieldInfo('appType','');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-07 14:30
 */
export interface DevopsTemplateHost{
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 模板id
    * @type { string }
    */
    templateId?: string;
    /**
    * 是否选中升级
    * @type { number }
    */
    enabled?: number;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 主机实例id
    * @type { string }
    */
    instanceId?: string;
    /**
    * extend field in DevopsHost
    * 主机ip(内网地址)
    * @type { string }
    */
    ip?: string;
    /**
    * extend field in DevopsHost
    * 主机名称
    * @type { string }
    */
    instanceName?: string;
    /**
    * extend field in DevopsHost
    * 自定义的分区
    * @type { string }
    */
    businessArea?: string;

    /**
    * 数据状态 
    * @type { DataState }
    */
    _state?: DataState;
}
export class DevopsTemplateHostMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','主键');
    }
    static get TEMPLATE_ID(): FieldInfo{  
        return new FieldInfo('templateId','模板id');
    }
    static get ENABLED(): FieldInfo{  
        return new FieldInfo('enabled','是否选中升级');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','创建时间');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','更新时间');
    }
    static get INSTANCE_ID(): FieldInfo{  
        return new FieldInfo('instanceId','主机实例id');
    }
    static get IP(): FieldInfo{  
        return new FieldInfo('ip','主机ip(内网地址)');
    }
    static get INSTANCE_NAME(): FieldInfo{  
        return new FieldInfo('instanceName','主机名称');
    }
    static get BUSINESS_AREA(): FieldInfo{  
        return new FieldInfo('businessArea','自定义的分区');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-07 14:30
 */
export interface DevopsFlow{
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 流程名称
    * @type { string }
    */
    flowName?: string;
    /**
    * 备注
    * @type { string }
    */
    remark?: string;
    /**
    * 创健时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
}
export class DevopsFlowMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','主键');
    }
    static get FLOW_NAME(): FieldInfo{  
        return new FieldInfo('flowName','流程名称');
    }
    static get REMARK(): FieldInfo{  
        return new FieldInfo('remark','备注');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','创健时间');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','更新时间');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-07 14:30
 */
export interface DevopsOperationLog{
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 用户id
    * @type { string }
    */
    userId?: string;
    /**
    * 操作内容
    * @type { string }
    */
    operationContent?: string;
    /**
    * 
    * @type { string }
    */
    operationData?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * extend field in DevopsUser
    * 
    * @type { string }
    */
    userName?: string;

    /**
    * 数据状态 
    * @type { DataState }
    */
    _state?: DataState;
}
export class DevopsOperationLogMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','主键');
    }
    static get USER_ID(): FieldInfo{  
        return new FieldInfo('userId','用户id');
    }
    static get OPERATION_CONTENT(): FieldInfo{  
        return new FieldInfo('operationContent','操作内容');
    }
    static get OPERATION_DATA(): FieldInfo{  
        return new FieldInfo('operationData','');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','创建时间');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','更新时间');
    }
    static get USER_NAME(): FieldInfo{  
        return new FieldInfo('userName','');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-07 14:30
 */
export interface DevopsTask{
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 任务名称
    * @type { string }
    */
    taskName?: string;
    /**
    * 模板id
    * @type { string }
    */
    templateId?: string;
    /**
    * 是否定时任务（0-是；1-不是）
    * @type { boolean }
    */
    timingTask?: boolean;
    /**
    * 跳过Nginx（0-跳过；1-不跳过）
    * @type { boolean }
    */
    skipNginx?: boolean;
    /**
    * 分区
    * @type { string }
    */
    businessArea?: string;
    /**
    * 所属项目组
    * @type { string }
    */
    businessGroup?: string;
    /**
    * 执行人
    * @type { string }
    */
    operatorUserId?: string;
    /**
    * 执行时间
    * @type { Date }
    */
    planTime?: Date;
    /**
    * 运行状态（0-未运行；1-运行中；2-运行成功；3-运行失败；4-已回滚；5-已取消；6-等待中；7-回滚中）
    * @type { number }
    */
    runState?: number;
    /**
    * 任务描述
    * @type { string }
    */
    taskDesc?: string;
    /**
    * 创建人id
    * @type { string }
    */
    createUserId?: string;
    /**
    * 修改人id
    * @type { string }
    */
    updateUserId?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * extend field in DevopsTemplate
    * 升级时间（0-夜间升级，1-白天升级）
    * @type { number }
    */
    upgradeTime?: number;
    /**
    * extend field in DevopsTemplate
    * 模板名称
    * @type { string }
    */
    nginxConfName?: string;
    /**
    * extend field in DevopsUser
    * 
    * @type { string }
    */
    operatorUserName?: string;

    /**
    * 数据状态 
    * @type { DataState }
    */
    _state?: DataState;
}
export class DevopsTaskMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','主键');
    }
    static get TASK_NAME(): FieldInfo{  
        return new FieldInfo('taskName','任务名称');
    }
    static get TEMPLATE_ID(): FieldInfo{  
        return new FieldInfo('templateId','模板id');
    }
    static get TIMING_TASK(): FieldInfo{  
        return new FieldInfo('timingTask','是否定时任务（0-是；1-不是）');
    }
    static get SKIP_NGINX(): FieldInfo{  
        return new FieldInfo('skipNginx','跳过Nginx（0-跳过；1-不跳过）');
    }
    static get BUSINESS_AREA(): FieldInfo{  
        return new FieldInfo('businessArea','分区');
    }
    static get BUSINESS_GROUP(): FieldInfo{  
        return new FieldInfo('businessGroup','所属项目组');
    }
    static get OPERATOR_USER_ID(): FieldInfo{  
        return new FieldInfo('operatorUserId','执行人');
    }
    static get PLAN_TIME(): FieldInfo{  
        return new FieldInfo('planTime','执行时间');
    }
    static get RUN_STATE(): FieldInfo{  
        return new FieldInfo('runState','运行状态（0-未运行；1-运行中；2-运行成功；3-运行失败；4-已回滚；5-已取消；6-等待中；7');
    }
    static get TASK_DESC(): FieldInfo{  
        return new FieldInfo('taskDesc','任务描述');
    }
    static get CREATE_USER_ID(): FieldInfo{  
        return new FieldInfo('createUserId','创建人id');
    }
    static get UPDATE_USER_ID(): FieldInfo{  
        return new FieldInfo('updateUserId','修改人id');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','创建时间');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','更新时间');
    }
    static get UPGRADE_TIME(): FieldInfo{  
        return new FieldInfo('upgradeTime','升级时间（0-夜间升级，1-白天升级）');
    }
    static get NGINX_CONF_NAME(): FieldInfo{  
        return new FieldInfo('nginxConfName','模板名称');
    }
    static get OPERATOR_USER_NAME(): FieldInfo{  
        return new FieldInfo('operatorUserName','');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-07 14:30
 */
export interface DevopsFlowStep{
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 流程id
    * @type { string }
    */
    flowId?: string;
    /**
    * 执行顺序
    * @type { string }
    */
    stepIndex?: string;
    /**
    * 步骤类型：10-空步骤11-等待x分钟21-ng关22-ng开31-应用升级32-应用开启33-应用关闭34-健康检查51-心跳等待60-测试
    * @type { number }
    */
    stepType?: number;
    /**
    * 步骤名称
    * @type { string }
    */
    stepName?: string;
    /**
    * 步骤描述
    * @type { string }
    */
    stepDesc?: string;
    /**
    * 运行脚本模板
    * @type { string }
    */
    runScriptTemplate?: string;
    /**
    * 备注
    * @type { string }
    */
    remark?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * extend field in DevopsFlow
    * 流程名称
    * @type { string }
    */
    flowName?: string;

    /**
    * 数据状态 
    * @type { DataState }
    */
    _state?: DataState;
}
export class DevopsFlowStepMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','主键');
    }
    static get FLOW_ID(): FieldInfo{  
        return new FieldInfo('flowId','流程id');
    }
    static get STEP_INDEX(): FieldInfo{  
        return new FieldInfo('stepIndex','执行顺序');
    }
    static get STEP_TYPE(): FieldInfo{  
        return new FieldInfo('stepType','步骤类型：10-空步骤11-等待x分钟21-ng关22-ng开31-应用升级32-应用开启33-应用');
    }
    static get STEP_NAME(): FieldInfo{  
        return new FieldInfo('stepName','步骤名称');
    }
    static get STEP_DESC(): FieldInfo{  
        return new FieldInfo('stepDesc','步骤描述');
    }
    static get RUN_SCRIPT_TEMPLATE(): FieldInfo{  
        return new FieldInfo('runScriptTemplate','运行脚本模板');
    }
    static get REMARK(): FieldInfo{  
        return new FieldInfo('remark','备注');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','创建时间');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','更新时间');
    }
    static get FLOW_NAME(): FieldInfo{  
        return new FieldInfo('flowName','流程名称');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-07 14:30
 */
export interface DevopsTemplateApp{
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 模板id
    * @type { string }
    */
    templateId?: string;
    /**
    * 应用id
    * @type { string }
    */
    appId?: string;
    /**
    * 升级顺序
    * @type { number }
    */
    sortIndex?: number;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 
    * @type { boolean }
    */
    enabled?: boolean;
    /**
    * extend field in DevopsApp
    * 应用名称
    * @type { string }
    */
    appName?: string;
    /**
    * extend field in DevopsApp
    * 应用类型：0-deamon应用；1-web应用
    * @type { number }
    */
    appType?: number;
    /**
    * extend field in DevopsApp
    * 当前版本
    * @type { string }
    */
    currentVersion?: string;
    /**
    * extend field in DevopsApp
    * 健康检查url
    * @type { string }
    */
    healthUrl?: string;
    /**
    * extend field in DevopsApp
    * 主机IP，多个时逗号隔开
    * @type { string }
    */
    hostIp?: string;
    /**
    * extend field in DevopsApp
    * 主机实例id
    * @type { string }
    */
    instanceId?: string;
    /**
    * extend field in DevopsApp
    * 主机名称
    * @type { string }
    */
    instanceName?: string;

    /**
    * 数据状态 
    * @type { DataState }
    */
    _state?: DataState;
}
export class DevopsTemplateAppMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','主键');
    }
    static get TEMPLATE_ID(): FieldInfo{  
        return new FieldInfo('templateId','模板id');
    }
    static get APP_ID(): FieldInfo{  
        return new FieldInfo('appId','应用id');
    }
    static get SORT_INDEX(): FieldInfo{  
        return new FieldInfo('sortIndex','升级顺序');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','创建时间');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','更新时间');
    }
    static get ENABLED(): FieldInfo{  
        return new FieldInfo('enabled','');
    }
    static get APP_NAME(): FieldInfo{  
        return new FieldInfo('appName','应用名称');
    }
    static get APP_TYPE(): FieldInfo{  
        return new FieldInfo('appType','应用类型：0-deamon应用；1-web应用');
    }
    static get CURRENT_VERSION(): FieldInfo{  
        return new FieldInfo('currentVersion','当前版本');
    }
    static get HEALTH_URL(): FieldInfo{  
        return new FieldInfo('healthUrl','健康检查url');
    }
    static get HOST_IP(): FieldInfo{  
        return new FieldInfo('hostIp','主机IP，多个时逗号隔开');
    }
    static get INSTANCE_ID(): FieldInfo{  
        return new FieldInfo('instanceId','主机实例id');
    }
    static get INSTANCE_NAME(): FieldInfo{  
        return new FieldInfo('instanceName','主机名称');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-07 14:30
 */
export interface DevopsTaskLog{
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 任务id
    * @type { string }
    */
    taskId?: string;
    /**
    * 
    * @type { string }
    */
    runTag?: string;
    /**
    * 运行结果
    * @type { number }
    */
    runResult?: number;
    /**
    * 运行日志信息
    * @type { string }
    */
    content?: string;
    /**
    * 运行开始时间
    * @type { Date }
    */
    startTime?: Date;
    /**
    * 运行结束时间
    * @type { Date }
    */
    finalTime?: Date;
    /**
    * 调度人；admin:表示系统调度
    * @type { string }
    */
    operatorUserId?: string;
    /**
    * 创建人id
    * @type { string }
    */
    createUserId?: string;
    /**
    * 修改人id
    * @type { string }
    */
    updateUserId?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * extend field in DevopsTask
    * 任务名称
    * @type { string }
    */
    taskName?: string;
    /**
    * extend field in DevopsUser
    * 
    * @type { string }
    */
    createUserName?: string;

    /**
    * 数据状态 
    * @type { DataState }
    */
    _state?: DataState;
}
export class DevopsTaskLogMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','主键');
    }
    static get TASK_ID(): FieldInfo{  
        return new FieldInfo('taskId','任务id');
    }
    static get RUN_TAG(): FieldInfo{  
        return new FieldInfo('runTag','');
    }
    static get RUN_RESULT(): FieldInfo{  
        return new FieldInfo('runResult','运行结果');
    }
    static get CONTENT(): FieldInfo{  
        return new FieldInfo('content','运行日志信息');
    }
    static get START_TIME(): FieldInfo{  
        return new FieldInfo('startTime','运行开始时间');
    }
    static get FINAL_TIME(): FieldInfo{  
        return new FieldInfo('finalTime','运行结束时间');
    }
    static get OPERATOR_USER_ID(): FieldInfo{  
        return new FieldInfo('operatorUserId','调度人；admin:表示系统调度');
    }
    static get CREATE_USER_ID(): FieldInfo{  
        return new FieldInfo('createUserId','创建人id');
    }
    static get UPDATE_USER_ID(): FieldInfo{  
        return new FieldInfo('updateUserId','修改人id');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','创建时间');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','更新时间');
    }
    static get TASK_NAME(): FieldInfo{  
        return new FieldInfo('taskName','任务名称');
    }
    static get CREATE_USER_NAME(): FieldInfo{  
        return new FieldInfo('createUserName','');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-07 14:30
 */
export interface DevopsSwitchRds{
    /**
    * 主键
    * @type { number }
    */
    id?: number;
    /**
    * rds编码
    * @type { string }
    */
    rdsCode?: string;
    /**
    * rds名称
    * @type { string }
    */
    rdsName?: string;
    /**
    * 切换时间
    * @type { string }
    */
    switchTime?: string;
    /**
    * 描述
    * @type { string }
    */
    remark?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 云平台（1阿里云、2华为云）
    * @type { number }
    */
    cloudPlatform?: number;
}
export class DevopsSwitchRdsMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','主键');
    }
    static get RDS_CODE(): FieldInfo{  
        return new FieldInfo('rdsCode','rds编码');
    }
    static get RDS_NAME(): FieldInfo{  
        return new FieldInfo('rdsName','rds名称');
    }
    static get SWITCH_TIME(): FieldInfo{  
        return new FieldInfo('switchTime','切换时间');
    }
    static get REMARK(): FieldInfo{  
        return new FieldInfo('remark','描述');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','创建时间');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','更新时间');
    }
    static get CLOUD_PLATFORM(): FieldInfo{  
        return new FieldInfo('cloudPlatform','云平台（1阿里云、2华为云）');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-07 14:30
 */
export interface DevopsTemplate{
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 模板名称
    * @type { string }
    */
    templateName?: string;
    /**
    * 升级时间（0-夜间升级，1-白天升级）
    * @type { number }
    */
    upgradeTime?: number;
    /**
    * 任务描述
    * @type { string }
    */
    templateDesc?: string;
    /**
    * 分区
    * @type { string }
    */
    businessArea?: string;
    /**
    * 所属项目组
    * @type { string }
    */
    businessGroup?: string;
    /**
    * Nginx模板id
    * @type { string }
    */
    nginxConfId?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 创建人id
    * @type { string }
    */
    createUserId?: string;
    /**
    * 修改人id
    * @type { string }
    */
    updateUserId?: string;
    /**
    * extend field in DevopsNginxConf
    * 模板名称
    * @type { string }
    */
    nginxConfName?: string;
    /**
    * extend field in DevopsUser
    * 
    * @type { string }
    */
    createUserName?: string;

    /**
    * 数据状态 
    * @type { DataState }
    */
    _state?: DataState;
}
export class DevopsTemplateMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','主键');
    }
    static get TEMPLATE_NAME(): FieldInfo{  
        return new FieldInfo('templateName','模板名称');
    }
    static get UPGRADE_TIME(): FieldInfo{  
        return new FieldInfo('upgradeTime','升级时间（0-夜间升级，1-白天升级）');
    }
    static get TEMPLATE_DESC(): FieldInfo{  
        return new FieldInfo('templateDesc','任务描述');
    }
    static get BUSINESS_AREA(): FieldInfo{  
        return new FieldInfo('businessArea','分区');
    }
    static get BUSINESS_GROUP(): FieldInfo{  
        return new FieldInfo('businessGroup','所属项目组');
    }
    static get NGINX_CONF_ID(): FieldInfo{  
        return new FieldInfo('nginxConfId','Nginx模板id');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','创建时间');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','更新时间');
    }
    static get CREATE_USER_ID(): FieldInfo{  
        return new FieldInfo('createUserId','创建人id');
    }
    static get UPDATE_USER_ID(): FieldInfo{  
        return new FieldInfo('updateUserId','修改人id');
    }
    static get NGINX_CONF_NAME(): FieldInfo{  
        return new FieldInfo('nginxConfName','模板名称');
    }
    static get CREATE_USER_NAME(): FieldInfo{  
        return new FieldInfo('createUserName','');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-07 14:30
 */
export interface DevopsUser{
    /**
    * 
    * @type { string }
    */
    id?: string;
    /**
    * 
    * @type { number }
    */
    state?: number;
    /**
    * 
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 
    * @type { any }
    */
    allowRollbackOp?: any;
    /**
    * 
    * @type { string }
    */
    ewechatUserId?: string;
    /**
    * 
    * @type { string }
    */
    name?: string;
    /**
    * 
    * @type { string }
    */
    mobile?: string;
    /**
    * 角色（1-管理员；2-操作员；3-观察员）
    * @type { number }
    */
    role?: number;
}
export class DevopsUserMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','');
    }
    static get STATE(): FieldInfo{  
        return new FieldInfo('state','');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','');
    }
    static get ALLOW_ROLLBACK_OP(): FieldInfo{  
        return new FieldInfo('allowRollbackOp','');
    }
    static get EWECHAT_USER_ID(): FieldInfo{  
        return new FieldInfo('ewechatUserId','');
    }
    static get NAME(): FieldInfo{  
        return new FieldInfo('name','');
    }
    static get MOBILE(): FieldInfo{  
        return new FieldInfo('mobile','');
    }
    static get ROLE(): FieldInfo{  
        return new FieldInfo('role','角色（1-管理员；2-操作员；3-观察员）');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-07 14:30
 */
export interface DevopsSwitchPartitionAutotest{
    /**
    * 
    * @type { number }
    */
    id?: number;
    /**
    * 分区名称
    * @type { string }
    */
    partitionName?: string;
    /**
    * 分区编码
    * @type { string }
    */
    partitionCode?: string;
    /**
    * 
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 分区状态：0-关闭，1-开启
    * @type { any }
    */
    partitionStatus?: any;
}
export class DevopsSwitchPartitionAutotestMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','');
    }
    static get PARTITION_NAME(): FieldInfo{  
        return new FieldInfo('partitionName','分区名称');
    }
    static get PARTITION_CODE(): FieldInfo{  
        return new FieldInfo('partitionCode','分区编码');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','');
    }
    static get PARTITION_STATUS(): FieldInfo{  
        return new FieldInfo('partitionStatus','分区状态：0-关闭，1-开启');
    }
}


